++ed by:
RSIMOES ARISTOTLE PERLANCAR SHARYANTO DRTECH

11 PAUSE user(s)
2 non-PAUSE user(s).

Vincent Pit

Modules

Changes for version 0.56

  • Fix : [RT #101410] : Install fails in blead Even though the change that caused this error was reverted from blead, lvalue uses of ERRSV have been removed from this module so that there will be no breakage when this change is possibly reintroduced in the following months. Thanks Dave Rolsky for reporting.
  • Tst : $ENV{$Config{ldlibpthname}} is now preserved on all platforms, which will address failures of t/17-ctl.t with unusual compilers (like icc) that link all their compiled objects to their own libraries.
  • Tst : The global destruction test is now only run on perl 5.13.4 and higher, and only if either Perl::Destruct::Level is installed or PERL_DESTRUCT_LEVEL is set and the perl is a debugging perl. This will solve rare crashes of t/15-self.t on perl 5.13.3 and older.